diff --git a/doc/src/sgml/backup.sgml b/doc/src/sgml/backup.sgml
index 73a774d3d7f..2a64f601ffe 100644
--- a/doc/src/sgml/backup.sgml
+++ b/doc/src/sgml/backup.sgml
@@ -945,11 +945,11 @@ SELECT * FROM pg_backup_stop(wait_for_archive => true);
      On a standby, <varname>archive_mode</varname> must be <literal>always</literal> in order
      for <function>pg_backup_stop</function> to wait.
      Archiving of these files happens automatically since you have
-     already configured <varname>archive_library</varname>. In most cases this
-     happens quickly, but you are advised to monitor your archive
+     already configured <varname>archive_library</varname> or <varname>archive_command</varname>.
+     In most cases this happens quickly, but you are advised to monitor your archive
      system to ensure there are no delays.
-     If the archive process has fallen behind
-     because of failures of the archive library, it will keep retrying
+     If the archive process has fallen behind because of failures of the archive library or
+     archive command, it will keep retrying
      until the archive succeeds and the backup is complete.
      If you wish to place a time limit on the execution of
      <function>pg_backup_stop</function>, set an appropriate
diff --git a/doc/src/sgml/ref/pg_basebackup.sgml b/doc/src/sgml/ref/pg_basebackup.sgml
index 56ac7b754be..b0a18c6d489 100644
--- a/doc/src/sgml/ref/pg_basebackup.sgml
+++ b/doc/src/sgml/ref/pg_basebackup.sgml
@@ -102,8 +102,7 @@ PostgreSQL documentation
      <para>
       All WAL records required for the backup must contain sufficient full-page writes,
       which requires you to enable <varname>full_page_writes</varname> on the primary and
-      not to use a tool in your <varname>archive_library</varname> to remove
-      full-page writes from WAL files.
+      not to use a tool to remove full-page writes from WAL files.
      </para>
     </listitem>
    </itemizedlist>
